Package com.avaya.clientservices.user

## Enum RegistrationError

- java.lang.Object
- - java.lang.Enum<RegistrationError>
  - - com.avaya.clientservices.user.RegistrationError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RegistrationError>`

      public enum RegistrationError
      extends java.lang.Enum<RegistrationError>

  Registration-related errors.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_ERROR` | Registration was failed due to authentication error.
    `CONNECTION_ERROR` | Registration was failed due to connection error with the server.
    `DOMAIN_ERROR` | Registration was failed because the SIP domain did not match.
    `GENERAL_ERROR` | Registration was failed due to generic error.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_ACCESS_DENIED` | Reported when registration has failed because server has disallowed the connection for this client application in spite of trusted client identity certificate.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_BAD_CERTIFICATE` | Reported when registration has failed due to bad (sometimes acts as generic error) client certificate.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_EXPIRED` | Reported when registration has failed because the client identity certificate presented by the client application is expired.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_NO_CERTIFICATE` | Reported when registration has failed because the client identity certificate is missing.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_REVOKED` | Reported when registration has failed because the client identity certificate presented by the client application is revoked.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNKNOWN` | Reported when registration has failed because an unknown (unspecified) error has occurred on the server while validating the presented client identity certificate.
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNKNOWN_CA` | Reported when registration has failed because the client identity certificate presented by the client application is issued by unknown certificate authority (CA).
    `INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNSUPPORTED_CERTIFICATE` | Reported when registration has failed because the client identity certificate presented by the client application is not supported by the server.
    `INVALID_SERVER_IDENTITY` | Reported when registration has failed because hostname (server) identity match failure.
    `INVALID_SIP_DOMAIN` | Reported when registration has failed because hostname (server) identity match failed for SIP service.
    `INVALID_STATE_ERROR` | Registration request is not supported at this time.
    `MAX_REGISTRATIONS_EXCEEDED_ERROR` | Registration was failed as the number of registrations has exceeded the configured limit.
    `PRIVATE_TRUST_STORE_ERROR` | Reported when registration has failed because client application has configured to use the private trust store via SecurityPolicyConfiguration but it is unavailable.
    `REDIRECTED_ERROR` | Registration request has been redirected.
    `SERVER_CERTIFICATE_CHAIN_REVOKED` | Reported when registration has failed because of the one or more certificates in the server certificate chain are revoked.
    `SERVER_CONFIGURATION_DATA_NOT_AVAILABLE` | Reported when the configuration data for the user is not available at the server.
    `SERVER_ENDED_ERROR` | Registration was terminated by the server.
    `SERVER_ERROR` | Registration was failed due to an internal server error.
    `SERVER_UNTRUSTED_ERROR` | Reported when registration has failed due to server certificate chain cannot be trusted.
    `SSL_FATAL_ALERT` | Reported when registration has failed because the client application has received fatal SSL Alerts.
    `SSL_HANDSHAKE_FAILURE` | Reported when registration has failed because client application is unable to negotiate an acceptable set of security parameters.
    `UNDEFINED` | Registration was failed due to undefined error.
    `UNRECOGNIZED_SERVER_NAME` | Registration was failed because the server client is trying to connect to did not recognize the value passed in TLS Server name indication extension during TLS handshake.
    `UNSUPPORTED_LOCAL_NETWORK` | Registration has failed because the device is currently connected to an unsupported network type, e.g., IPv6-only network.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RegistrationError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RegistrationError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final RegistrationError UNDEFINED

      Registration was failed due to undefined error.

    - #### AUTHENTICATION_ERROR

          public static final RegistrationError AUTHENTICATION_ERROR

      Registration was failed due to authentication error.

    - #### DOMAIN_ERROR

          public static final RegistrationError DOMAIN_ERROR

      Registration was failed because the SIP domain did not match.

    - #### CONNECTION_ERROR

          public static final RegistrationError CONNECTION_ERROR

      Registration was failed due to connection error with the server.

    - #### UNSUPPORTED_LOCAL_NETWORK

          public static final RegistrationError UNSUPPORTED_LOCAL_NETWORK

      Registration has failed because the device is currently connected to an unsupported network type, e.g., IPv6-only network.

    - #### SERVER_UNTRUSTED_ERROR

          public static final RegistrationError SERVER_UNTRUSTED_ERROR

      Reported when registration has failed due to server certificate chain cannot be trusted. This error is commonly reported if the client application does not have correct CA certificate(s) provisioned in the certificate stores.

    - #### INVALID_STATE_ERROR

          public static final RegistrationError INVALID_STATE_ERROR

      Registration request is not supported at this time.

    - #### SERVER_ERROR

          public static final RegistrationError SERVER_ERROR

      Registration was failed due to an internal server error.

    - #### SERVER_ENDED_ERROR

          public static final RegistrationError SERVER_ENDED_ERROR

      Registration was terminated by the server.

    - #### MAX_REGISTRATIONS_EXCEEDED_ERROR

          public static final RegistrationError MAX_REGISTRATIONS_EXCEEDED_ERROR

      Registration was failed as the number of registrations has exceeded the configured limit.

    - #### REDIRECTED_ERROR

          public static final RegistrationError REDIRECTED_ERROR

      Registration request has been redirected.

    - #### GENERAL_ERROR

          public static final RegistrationError GENERAL_ERROR

      Registration was failed due to generic error.

    - #### UNRECOGNIZED_SERVER_NAME

          public static final RegistrationError UNRECOGNIZED_SERVER_NAME

      Registration was failed because the server client is trying to connect to did not recognize the value passed in TLS Server name indication extension during TLS handshake.

    - #### SSL_FATAL_ALERT

          public static final RegistrationError SSL_FATAL_ALERT

      Reported when registration has failed because the client application has received fatal SSL Alerts. The error indicates the server has rejected the SSL/TLS connection attempt. Client applications often see such error due to TLS Server Name Indication failure.

    - #### INVALID_SERVER_IDENTITY

          public static final RegistrationError INVALID_SERVER_IDENTITY

      Reported when registration has failed because hostname (server) identity match failure. Server's presented identity does not match with an identity client is expecting to connecting to. Server certificate must present appropriate identity to avoid any Man-in-the-Middle (MITM) attacks.

    - #### INVALID_SIP_DOMAIN

          public static final RegistrationError INVALID_SIP_DOMAIN

      Reported when registration has failed because hostname (server) identity match failed for SIP service. Server's presented identity for SIP service type does not match with a SIP domain client is trying to connect to. Server certificate must present appropriate identity to avoid any Man-in-the-Middle (MITM) attacks.

    - #### SERVER_CERTIFICATE_CHAIN_REVOKED

          public static final RegistrationError SERVER_CERTIFICATE_CHAIN_REVOKED

      Reported when registration has failed because of the one or more certificates in the server certificate chain are revoked.

    - #### SERVER_CONFIGURATION_DATA_NOT_AVAILABLE

          public static final RegistrationError SERVER_CONFIGURATION_DATA_NOT_AVAILABLE

      Reported when the configuration data for the user is not available at the server.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNKNOWN_CA

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNKNOWN_CA

      Reported when registration has failed because the client identity certificate presented by the client application is issued by unknown certificate authority (CA).

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_ACCESS_DENIED

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_ACCESS_DENIED

      Reported when registration has failed because server has disallowed the connection for this client application in spite of trusted client identity certificate.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNSUPPORTED_CERTIFICATE

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNSUPPORTED_CERTIFICATE

      Reported when registration has failed because the client identity certificate presented by the client application is not supported by the server.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_NO_CERTIFICATE

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_NO_CERTIFICATE

      Reported when registration has failed because the client identity certificate is missing.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_REVOKED

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_REVOKED

      Reported when registration has failed because the client identity certificate presented by the client application is revoked.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_EXPIRED

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_EXPIRED

      Reported when registration has failed because the client identity certificate presented by the client application is expired.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_BAD_CERTIFICATE

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_BAD_CERTIFICATE

      Reported when registration has failed due to bad (sometimes acts as generic error) client certificate.

    - #### INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNKNOWN

          public static final RegistrationError INVALID_CLIENT_IDENTITY_CERTIFICATE_ERROR_UNKNOWN

      Reported when registration has failed because an unknown (unspecified) error has occurred on the server while validating the presented client identity certificate.

    - #### SSL_HANDSHAKE_FAILURE

          public static final RegistrationError SSL_HANDSHAKE_FAILURE

      Reported when registration has failed because client application is unable to negotiate an acceptable set of security parameters.

    - #### PRIVATE_TRUST_STORE_ERROR

          public static final RegistrationError PRIVATE_TRUST_STORE_ERROR

      Reported when registration has failed because client application has configured to use the private trust store via SecurityPolicyConfiguration but it is unavailable.

  - ### Method Detail

    - #### values

          public static RegistrationError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegistrationError c : RegistrationError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegistrationError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null